id: dufs-detect

info:
  name: DUFS - Detect
  author: righettod
  severity: info
  description: |
    DUFS software was detected.
  reference:
    - https://github.com/sigoden/dufs
  metadata:
    verified: true
    max-request: 1
    shodan-query: http.html:"Dufs"
  tags: tech,dufs,detect

http:
  - method: GET
    path:
      - "{{BaseURL}}"

    host-redirects: true
    matchers:
      - type: dsl
        dsl:
          - 'status_code == 200'
          - 'contains_all(to_lower(body), "__dufs_v", "allow_upload")'
        condition: and

    extractors:
      - type: regex
        part: body
        group: 1
        regex:
          - '(?i)__dufs_v([0-9.]+)_'
# digest: 4b0a00483046022100aa3e637e5f3556fe9c2ba7be8ecbe29d14a0f09857c5c58e55803f533f5ceac2022100fe4b826ae40ac20750ac871e76829a9c2256d2aa4ac5adf3776d91f3653830c8:922c64590222798bb761d5b6d8e72950